#include <string.h>
#include "ngams.h"
char *_ngamsManPage(void)
{
static char buf[32768];
char *txt[] = {
" [-host <Host>] -port <Port> | -servers '<Host>:<Port>,<Host>:<Port>,...' ",
"     -cmd <Command> [-auth <Access Code>] ",
"     [-v <Level>] [-version] [-d] [-noWait] [-status] [-license]  ",
"     [-timeOut <Secs>] [<Cmd Spec Pars>] | [<Generic Par Array>]  ",
"  ",
"          ",
" -host <Host>:            Host where the NG/AMS Server is running. ",
"                          If not specified, local host is chosen. ",
"  ",
" -port <Port>:            Port number used by the NG/AMS Server. ",
"          ",
" -servers ...:            Comma separated list of server nodes and their ",
"                          corresponding ports. ",
"  ",
" -cmd <Command>:          Command to issue. The commands accepted by the ",
"                          tool are: ",
"  ",
"                            ARCHIVE:       Archive a file. ",
"                            CLONE:         Clone a file or a set of file. ",
"                            EXIT:          Make the server exit. ",
"                            INIT:          Re-initialize the server. ",
"                            LABEL:         Print a disk label. ",
"                            ONLINE:        Bring server to Online State. ",
"                            OFFLINE:       Bring server to Offline State. ",
"                            REGISTER       Register a file or a set of files. ",
"                            REMDISK:       Remove information about a disk from ",
"                                           the NGAS DB and delete the files  ",
"                                           stored on the disk. ",
"                            REMFILE:       Remove info about a file or a set of  ",
"                                           files from the NGAS DB and delete the ",
"                                           files from the disks hosting them. ",
"                            RETRIEVE:      Retrieve a data file from NGAS. ",
"                            STATUS:        Query status. ",
"                            SUBSCRIBE:     Subscribe to data and act as ",
"                                           HTTP daemon that is ready to receive ",
"                                           the data. ",
"                            UNSUBSCRIBE:   Cancel a subscription to data. ",
"  ",
" -auth <Access Code>:     Authorization code used to access the remote ",
"                          NG/AMS Server. ",
"  ",
" -v <Level>:              Verbose output level. ",
"  ",
" -version:                Print version and exit. ",
"  ",
" -d:                      Run in Debug Mode. ",
"          ",
" -noWait:                 Don't wait for the NG/AMS Server to terminate the  ",
"                          handling of the command. ",
"  ",
" -status:                 Dump the status message sent by the NG/AMS ",
"                          Server to stdout. ",
"  ",
" -license:                Print out NG/AMS license information in stdout. ",
"  ",
" -timeOut <Secs>:         Timeout in seconds to apply during the communication ",
"                          with the server. Note: This is only supported for ",
"                          the NG/AMS C-Client. For the P-Client this parameter ",
"                          is ignored. ",
"  ",
" <Generic Par Array>:     Array consisting of the parameters + values for ",
"                          these to be provided with the command. This is  ",
"                          given in the format: ",
"  ",
"                            -par <Parameter> [-val <Val>] [-par <Parameter ...] ",
"  ",
"                          The name of the parameter must actually be the ",
"                          HTTP name as used by NG/AMS, e.g. to retrieve a ",
"                          file using the RETRIEVE command: ",
"  ",
"                            -par file_id -val MyFile -par version -val 2 ",
"  ",
"                          Note, using the generic parameter specification, ",
"                          the API is not providing any support to the user ",
"                          (application) when it comes to checking the ",
"                          correctness of the parameters specified. Errors will  ",
"                          be sent back by the NG/AMS Server in case a request  ",
"                          could not be handled. Not all commands can be ",
"                          executed using the generic interface. It is for ",
"                          instance not possible to execute an Archive Push ",
"                          Request. ",
"  ",
" -cfg:                    Refers to the NG/AMS Configuration. ",
"  ",
" <Cmd Spec Pars>:         The command specific parameters are: ",
"           ",
" -diskId <Disk ID>:       Refers to a specific disk. ",
"  ",
" -execute:                Execute an action. ",
"  ",
" -fileId <ID>:            Refers to a specific file. ",
"          ",
" -fileUri <URI>:          URI pointing to the file to be archived. ",
"  ",
"                            file:/home/data/Image1.fits ",
"  ",
"                          This will result in an Archive Pull Request. It can  ",
"                          also be given directly as a filename, e.g.: ",
"  ",
"                            /home/data/Image1.fits ",
"  ",
"                          This will result in an Archive Push Request. ",
"          ",
" -fileVersion <Version>:  Refers to a specific File Version of a file. ",
"  ",
" -filterPlugIn ...:       Reference to a Filter Plug-In to apply in connection ",
"                          with handling the request. ",
"  ",
" -force:                  Force an action. ",
"  ",
" -hostId:                 Used to refer to a specific NGAS Host within the ",
"                          query data. I.e., it is possible to retrieve an ",
"                          internal file from a specific host. ",
"  ",
" -internal <Filename>:    Refer to an NG/AMS 'internal file'. ",
"         ",
" -mimeType <Mime-Type>:   If it is not possible to determine the mime-type of  ",
"                          a data file from the filename, the mime-type must  ",
"                          be explicitly given with the ARCHIVE command. ",
"  ",
" -ngLog:                  Refers to the Local Log File used by NG/AMS. ",
"  ",
" -notifEmail:             List of comma separated email recipients that will ",
"                          be informed via email about the execution/status ",
"                          of the command. ",
"          ",
" -outputFile ...:         Directory or file in which to dump a file when  ",
"                          retrieving files. ",
"          ",
" -path <Path>:            Specifies a path, which should be taken into ",
"                          account when carrying out the request. ",
"  ",
" -plugInPars ...:         Parameters to hand over to the plug-in. ",
"  ",
" -priority <Prio>:        Priority. Used by Subscribers to give another ",
"                          priority than the default one (10). A low number ",
"                          means a high priority. ",
"  ",
" -processing <DDPI>:      Name of Data Processing Plug-In to execute on the  ",
"                          data before sending it back to the requestor. ",
"  ",
" -processingPars <Pars>:  Optional parameters to be handed over to the DPPI. ",
"                          These should normally be given on the format: ",
"                  ",
"                            par1=val,par2=val2,... ",
"  ",
"                          - although it is up to the DPPI to interpret these. ",
"  ",
" -slotId <ID>:            Slot ID for which to generate label. ",
"  ",
" -startDate ...:          Date in ISO8601 format indicating a lower limit ",
"                          in time. ",
"  ",
" -targetDiskId <ID>:      Target disk to be used e.g. for archiving or ",
"                          cloning a file. ",
"  ",
" -url <URL>:              URL. Used for the SUBSCRIBE command to indicate ",
"                          to where NG/AMS should deliver data subscribed for. ",
"  ",
"  ",
" The parameter combinations valid for each command are: ",
"  ",
" ARCHIVE:                 [-fileUri <URI> [-mimeType <Mime-Type>] ",
"                          [-noVersioning]] | [<Generic Par Array>] ",
"  ",
" CLONE:                   [-fileId <ID> v| -diskId <ID> v| -fileVersion <Ver> ",
"                           [-targetDiskId <ID>] [-notifEmail <Rec. List>]] |  ",
"                          [<Generic Par Array>] ",
"  ",
" EXIT:                    None. ",
"  ",
" INIT:                    None. ",
"  ",
" LABEL:                   [-slotId <ID>] | [<Generic Par Array>] ",
"  ",
" OFFLINE:                 [-force] | [<Generic Par Array>] ",
"  ",
" ONLINE:                  None. ",
"  ",
" REGISTER:                [-path <Path>] | [<Generic Par Array>] ",
"  ",
" REMDISK:                 [-diskId <ID> [-execute]] |  ",
"                          [<Generic Par Array>] ",
"  ",
" REMFILE:                 [[-diskId <ID>] -fileId <ID> [-fileVersion <Ver>] ",
"                           [-execute]] | [<Generic Par Array>] ",
"  ",
" RETRIEVE:                [-fileId <ID> [-fileVersion <Ver>] [-outputFile <OF>] ",
"                           [-processing <DDPI> [-processingPars <Pars>]] | ",
"                           -internal <Filename> [-hostId <Host ID>] |  ",
"                           -ngLog [-hostId <Host ID>] | ",
"                           -cfg [-hostId <Host ID>]] | ",
"                          [<Generic Par Array>] ",
"  ",
" STATUS:                  [-hostId <Host ID> |  ",
"                           -requestId <Request ID> | ",
"                           -fileAccess <File ID> [-fileVersion <Ver>]  ",
"                           [-diskId <ID>] | ",
"                           -fileId <ID> [-fileVersion <Ver>] [-diskId <ID>] | ",
"                           -configFile | ",
"                           -flushLog] ",
"  ",
" SUBSCRIBE:               [-url <URL> [-priority <Prio>] ",
"                           [-startDate <Start Date (ISO8601)>] ",
"                           [-filterPlugIn <Filter Plug-In>  ",
"                            [-plugInPars <Filter Plug-In Pars>]]] | ",
"                          [<Generic Par Array>]  ",
"  ",
" UNSUBSCRIBE:             [-url <URL>] | [<Generic Par Array>] ",
"  ",
"  ",
" (c) ESO/DMD 2001-2005 - NGAS Project - http://archive.eso.org/NGAST ",
"*"};
int n;
for (n = 0; *txt[n] != '*'; n++) {strcat(buf, txt[n]); strcat(buf, ngamsNEWLINE);}
return buf;
}
