#******************************************************************************
# ESO/DMD
#
# "@(#) $Id: ngamsKillSrvDapi.py,v 1.1 2004/10/14 16:57:40 ngasmgr Exp $"
#
# Who       When        What
# --------  ----------  -------------------------------------------------------
# jknudstr  10/05/2001  Created
#

"""
This DAPI is used for test purposes. It kills the server to simulate that the
server crashes during the execution of the DAPI.
"""

import os, string, sys
from   ngams import *


# DAPI function.
def ngamsKillSrvDapi(srvObj,
                     reqPropsObj):
    """
    DAPI to simulate server crash during DAPI execution.

    srvObj:       Reference to NG/AMS Server Object (ngamsServer).
    
    reqPropsObj:  NG/AMS request properties object (ngamsReqProps).

    Returns:      Void.
    """
    info(1,"DAPI invoked - killing server ...")
    srvObj.killServer()
    sys.exit(0)

# EOF
