#******************************************************************************
# ESO/DFS
#
# "@(#) $Id: ngamsSrvTestAfterDapiInvocation.py,v 1.1 2004/10/19 16:07:41 ngasmgr Exp $"
#
# Who       When        What
# --------  ----------  -------------------------------------------------------
# jknudstr  07/10/2004  Created
#

"""
Child class of ngamsServer killing itself immediately before invoking the DAPI.
"""

import os, sys, time
from   ngams import *
import ngamsServer
from   ngamsTestLib import *


class ngamsSrvTestAfterDapiInvocation(ngamsServer.ngamsServer):
    """
    Child class of ngamsServer killing itself immediately after invoking
    the DAPI.
    """

    def __init__(self):
        """
        Constructor method.
        """
        ngamsServer.ngamsServer.__init__(self)

    
    def test_AfterDapiInvocation(self):
        """
        Tets method killing server.

        Returns:  Void.
        """
        self.killServer()
        raise Exception, "test_AfterDapiInvocation: TEST METHOD KILLING " +\
              "SERVER"

 
if __name__ == '__main__':
    """
    Main program executing the test NG/AMS Server
    """
    ngamsTestSrv = ngamsSrvTestAfterDapiInvocation()
    ngamsTestSrv.init(sys.argv)

# EOF
