#******************************************************************************
# ESO/DFS
#
# "@(#) $Id: ngamsSrvTestKillAfterMvStgFile.py,v 1.2 2004/10/20 14:39:58 ngasmgr Exp $"
#
# Who       When        What
# --------  ----------  -------------------------------------------------------
# jknudstr  07/10/2004  Created
#

"""
Child class of ngamsServer killing itself immediately after moving the
Staging File to the final destination (Main File).
"""

import os, sys, time
from   ngams import *
import ngamsServer
from   ngamsTestLib import *


class ngamsSrvTestKillAfterMvStgFile(ngamsServer.ngamsServer):
    """
    Child class of ngamsServer killing itself immediately after moving the
    Staging File to the final destination (Main File).
    """

    def __init__(self):
        """
        Constructor method.
        """
        ngamsServer.ngamsServer.__init__(self)

    
    def test_AfterMovingStagingFile(self):
        """
        Tets method killing server.

        Returns:  Void.
        """
        self.killServer()
        raise Exception, "test_AfterMovingStagingFile: TEST METHOD KILLING " +\
              "SERVER"

 
if __name__ == '__main__':
    """
    Main program executing the test NG/AMS Server
    """
    ngamsTestSrv = ngamsSrvTestKillAfterMvStgFile()
    ngamsTestSrv.init(sys.argv)

# EOF
