#******************************************************************************
# ESO/DFS
#
# "@(#) $Id: ngamsSrvTestKillAfterOrgStagingFile.py,v 1.1 2004/10/18 17:04:13 ngasmgr Exp $"
#
# Who       When        What
# --------  ----------  -------------------------------------------------------
# jknudstr  07/10/2004  Created
#

"""
Child class of ngamsServer killing itself immediately after creating the
Original Staging File.
"""

import os, sys, time
from   ngams import *
import ngamsServer
from   ngamsTestLib import *


class ngamsSrvTestKillAfterOrgStagingFile(ngamsServer.ngamsServer):
    """
    Child class of ngamsServer killing itself immediately after creating the
    Original Staging File.
    """

    def __init__(self):
        """
        Constructor method.
        """
        ngamsServer.ngamsServer.__init__(self)

    
    def test_AfterCreateOrgStagingFile(self):
        """
        Tets method killing server.

        Returns:  Void.
        """
        self.killServer()
        raise Exception, "test_AfterCreateOrgStagingFile: TEST METHOD " +\
              "KILLING SERVER"

 
if __name__ == '__main__':
    """
    Main program executing the test NG/AMS Server
    """
    ngamsTestSrv = ngamsSrvTestKillAfterOrgStagingFile()
    ngamsTestSrv.init(sys.argv)

# EOF
