#******************************************************************************
# ESO/DFS
#
# "@(#) $Id: ngamsSrvTestKillAfterStagingFile.py,v 1.1 2004/10/18 17:04:13 ngasmgr Exp $"
#
# Who       When        What
# --------  ----------  -------------------------------------------------------
# jknudstr  07/10/2004  Created
#

"""
Child class of ngamsServer crashing immediately after receiving Staging
File during Archive Request handling.
"""

import os, sys, time
from   ngams import *
import ngamsServer
from   ngamsTestLib import *


class ngamsSrvTestKillAfterStagingFile(ngamsServer.ngamsServer):
    """
    Child class of ngamsServer crashing immediately after receiving Staging
    File during Archive Request handling.
    """

    def __init__(self):
        """
        Constructor method.
        """
        ngamsServer.ngamsServer.__init__(self)

    
    def test_AfterSaveInStagingFile(self):
        """
        Sub-class of ngamsServer killing itself after receiving Staging File.
        """
        self.killServer()
        raise Exception, "test_AfterCreateOrgStagingFile: TEST METHOD " +\
              "KILLING SERVER"

 
if __name__ == '__main__':
    """
    Main program executing the test NG/AMS Server
    """
    ngamsTestSrv = ngamsSrvTestKillAfterStagingFile()
    ngamsTestSrv.init(sys.argv)

# EOF
