#!/usr/bin/python
#******************************************************************************
# ESO/DMD
#
# "@(#) $Id: vultur_clean_up_stage.py,v 1.1.1.1 2005/12/08 16:38:31 jknudstr Exp $"
#
# Who       When        What
# --------  ----------  -------------------------------------------------------
# jknudstr  01/04/2005  Created
#

"""
The Vultur Clean-Up Stage Tool is used to clean up temporary job/DAG management
directories created for a user using other Vultur Tools. The Job/DAG Temporary
Directory is referred to as:

  $BQS_EXEC_ROOT/<User>/exec/<DAG|Job ID>

SYNOPSIS:
The command line options for the tool are:

  $ vultur_clean_up_stage -id <DAG|Job ID> [-expTime <Exp Time (s)>]

The options are:

-id:           Overall ID for the DAG or Job.

-expTime:      Expiration time in seconds. Directories and files older than
               this, will be removed. If not specified, the default value is
               24 hours. 

The tool produces a list of the actions carried out on stdout (the files
and directories deleted).
"""



# EOF
