

import time, os, commands, sys


rmCmd = "rm -f /tmp/vultur_exec_cascade.log;touch /tmp/vultur_exec_cascade.log"
os.system(rmCmd)

cmd = "vultur_exec_cascade -jobid test_%d -jobs %s -wait >> " +\
      "/tmp/vultur_exec_cascade.log &"
startTime = time.time()
noOfDags = int(sys.argv[2])
print "Scheduling: %d DAGs" % noOfDags
for n in range(noOfDags): os.system(cmd % ((n+1), sys.argv[1]))
if (noOfDags < 5):
    delay = 2
else:
    delay = 10
time.sleep(delay)

grepCmd = 'grep "Job with ID:" /tmp/vultur_exec_cascade.log'
queueCmd = 'condor_q|grep "0 jobs; 0 idle, 0 running, 0 held"'
print "Waiting for cascades to complete "
while (1):
    if (0):
        stat, out = commands.getstatusoutput(grepCmd)
        out = out.strip()
        lines = out.split("\n")
        if ((len(lines) == 1) and (lines[0].strip() == "")):
            pass
        elif (len(lines) >= noOfDags):
            break
    else:
        stat, out = commands.getstatusoutput(queueCmd)
        if (out.strip().find("0 jobs; 0 idle, 0 running, 0 held") != -1):
            break
    sys.stdout.write(".")
    sys.stdout.flush()
    time.sleep(1)
stopTime = time.time()

print "\nTotal time for executing all DAG's: %.3fs" %\
      (stopTime - startTime)
print "Average time per DAG: %.3fs\n\n" %\
      ((stopTime - startTime) / noOfDags)


# EOF
