#ifndef ngamsArchiveClient_H
#define ngamsArchiveClient_H
/******************************************************************************
 * ESO/DMD
 *
 * "@(#) $Id: ngamsArchiveClient.h,v 1.5 2003/12/31 08:30:06 ngasmgr Exp $"
 *
 * who       when      what
 * --------  --------  ----------------------------------------------
 * jknudstr  30/08/01  created
 */

#ifdef __cplusplus
extern "C" {
#endif

#include "ngams.h"

/* Directories/filenames */
#define ngamsARCH_CLI_NAME     "ngamsArchiveClient"
#define ngamsARCH_CLI_DIR      "NGAMS_ARCHIVE_CLIENT"
#define ngamsARCH_CLI_LOG_DIR  "log"
#define ngamsARCH_CLI_QUE_DIR  "queue"
#define ngamsARCH_CLI_ARC_DIR  "archived"
#define ngamsARCH_CLI_BAD_DIR  "bad"
#define ngamsARCH_CLI_LOG_FILE "ngamsArchiveClient.log"
#define ngamsARCH_CLI_STAT_EXT "___STATUS.xml"


typedef struct {
    ino_t          inodeNo;
    ngamsMED_BUF   name;
} ngamsDirInfo;


#ifdef __cplusplus
}
#endif

#endif /* ngamsArchiveClient_H */
