#******************************************************************************
# ESO/DFS
#
# "@(#) $Id: ngamsJanitorThreadTest.py,v 1.12 2005/06/07 16:07:01 ngasmgr Exp $"
#
# Who       When        What
# --------  ----------  -------------------------------------------------------
# jknudstr  23/04/2002  Created
#

"""
This module contains the Test Suite for the NG/AMS Janitor Thread.
"""

import os, sys, time
from   ngams import *
from   ngamsTestLib import *


class ngamsJanitorThreadTest(ngamsTestSuite):
    """
    Synopsis:
    Test Suite NG/AMS Janitor Thread.

    Description:
    The purpose of the Test Suite is to verify that the Janitor Thread
    carries out all the tasks assigned to it as expected. This, both under
    normal conditions and under abnormal conditions.

    Missing Test Cases:
    - Test detection of Lost Files.
    - Also ticket DFS01880.
    - Test all actions/tasks carried out by the Janitor Thread (not
      handling of DB Snapshot - TBD).
    """

    def test_1(self):
        """
        Synopsis:
        ...
        
        Description:
        ...

        Expected Result:
        ...

        Test Steps:
        - ...

        Remarks:
        ...
        """
        info(1,"IMPL: Implement ngamsJanitorThreadTest()!!!!")


def run():
    """
    Run the complete test.

    Returns:   Void.
    """
    runTest(["ngamsJanitorThreadTest"])


if __name__ == '__main__':
    """
    Main program executing the test cases of the module test.
    """
    runTest(sys.argv)


# EOF
